# Shared_Object.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/os_include/sys/os_types.h"`
`#include "ace/Shared_Object.inl"`

Include dependency graph for Shared_Object.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Shared_Object
| Provide the abstract base class used to access dynamic linking facilities. More...

## Detailed Description

Id
  Shared_Object.h,v 4.16 2005/10/28 16:14:55 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>